Skip to main content
POST
Export Key

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

Keys:Export: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

keyId
string
required

The key to export.

Required string length: 1 - 64

Body

application/json
encryptionKey
string
required

The public encryption key the signers should encrypt their key shares to.

Minimum string length: 1
supportedSchemes
object[]
required

The protocol/curve combinations the client is able to reconstruct the key from.

Response

200 - application/json

Success

publicKey
string
required

Hex-encoded public key of the exported key.

protocol
required

The MPC protocol the key shares are for.

Available options:
CGGMP24,
FROST,
FROST_BITCOIN,
GLOW20_DH,
KU23
curve
enum<string>
required

The elliptic curve of the exported key.

Available options:
ed25519,
secp256k1,
stark
minSigners
number
required

The TSS threshold of the wallet private signing key shares

encryptedKeyShares
object[]
required

Keyshares of the exported wallet. They are encrypted with the provided encryption key. The exported private key is re-constructed from these keyshares.

Last modified on August 27, 2026